curl --location --globoff '{{signoz}}/v1/traces' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"resourceSpans": [
{
"resource": {
"attributes": [
{ "key": "service.name", "value": { "stringValue": "prro-backend-service" } },
{ "key": "deployment.environment", "value": { "stringValue": "production" } },
{ "key": "k8s.pod.name", "value": { "stringValue": "prro-auth-v2-77bb" } }
]
},
"scopeSpans": [
{
"spans": [
{
"traceId": "55555555555555555555555555555555",
"spanId": "aaaa1111aaaa1111",
"name": "FiscalizeCheck",
"kind": 2,
"startTimeUnixNano": "1772660700000000000",
"endTimeUnixNano": "1772660701000000000",
"attributes": [
{ "key": "prro.cashbox_id", "value": { "stringValue": "KASA-01" } },
{ "key": "prro.operation", "value": { "stringValue": "sale" } }
]
},
{
"traceId": "55555555555555555555555555555555",
"spanId": "aaaa2222aaaa2222",
"parentSpanId": "aaaa1111aaaa1111",
"name": "ValidateInternalLogic",
"kind": 1,
"startTimeUnixNano": "1772660700100000000",
"endTimeUnixNano": "1772660700200000000"
},
{
"traceId": "55555555555555555555555555555555",
"spanId": "aaaa3333aaaa3333",
"parentSpanId": "aaaa1111aaaa1111",
"name": "DPS-External-API-Call",
"kind": 3,
"startTimeUnixNano": "1772660700250000000",
"endTimeUnixNano": "1772660700850000000",
"attributes": [
{ "key": "http.url", "value": { "stringValue": "https://tax.gov.ua/api/v1/fiscalize" } },
{ "key": "prro.dps_response_code", "value": { "intValue": 200 } }
]
},
{
"traceId": "55555555555555555555555555555555",
"spanId": "aaaa4444aaaa4444",
"parentSpanId": "aaaa1111aaaa1111",
"name": "WriteToClickHouse",
"kind": 1,
"startTimeUnixNano": "1772660700860000000",
"endTimeUnixNano": "1772660700950000000"
},
{
"traceId": "66666666666666666666666666666666",
"spanId": "bbbb1111bbbb1111",
"name": "Z-Report-Process",
"kind": 2,
"startTimeUnixNano": "1772660710000000000",
"endTimeUnixNano": "1772660712000000000",
"attributes": [
{ "key": "prro.report_type", "value": { "stringValue": "Z-Report" } },
{ "key": "prro.fiscal_number", "value": { "stringValue": "FN-987654321" } }
]
},
{
"traceId": "66666666666666666666666666666666",
"spanId": "bbbb2222bbbb2222",
"parentSpanId": "bbbb1111bbbb1111",
"name": "SummingTransactions",
"kind": 1,
"startTimeUnixNano": "1772660710100000000",
"endTimeUnixNano": "1772660710500000000"
},
{
"traceId": "66666666666666666666666666666666",
"spanId": "bbbb3333bbbb3333",
"parentSpanId": "bbbb1111bbbb1111",
"name": "CloseShift-DPS",
"kind": 3,
"startTimeUnixNano": "1772660710600000000",
"endTimeUnixNano": "1772660711800000000",
"status": { "code": 1 }
}
]
}
]
}
]
}'